#kc-footer {
    padding: 0.75rem 5rem;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    pointer-events: none;
    color: var(--color-text-secondary);
    font-size: 14px;
    flex-wrap: wrap;
    background: var(--color-white);
}

#kc-footer .footer-left {
    display: flex;
    align-items: center;
    gap: 2.5rem;
}

#kc-footer .footer-left a {
    pointer-events: auto;
}

#kc-footer .footer-left a .fas {
    vertical-align: baseline;
}

#kc-footer .footer-right {
    display: flex;
    gap: 24px;
    pointer-events: auto;
}

#kc-footer .footer-link {
    color: var(--color-text-secondary);
    text-decoration: none;
    display: flex;
    gap: 0.5rem;
    align-items: center;
    padding: 0.25rem 0;

    background-repeat: no-repeat;
    background-size: calc(100% - 1px) 0.1rem;
    background-position: -10000% bottom;
    text-decoration: none;
    outline: none;
}

#kc-footer .footer-link:hover {
    background-image: linear-gradient(var(--color-primary), var(--color-primary));
    background-position: left bottom;
    transition: background-position 0.3s;
}

#kc-footer .footer-link:focus {
    background-image: linear-gradient(var(--color-primary-hover), var(--color-primary-hover));
    background-position: left bottom;
    color: var(--color-primary-hover);
    outline: var(--color-link-outline) dotted 1px;
    text-decoration: none;
}

@media (max-width: 768px) {

    #kc-footer {
        padding: 0.75rem 1.5rem;
        flex-direction: column;
        align-items: flex-start;
        gap: 2rem
    }

    #kc-footer .footer-left {
        gap: 0.5rem;
        flex: 1;
        align-items: flex-start;
        flex-direction: column;
    }


    #kc-footer .footer-right {
        margin-top: 1rem;
        gap: 1rem;
        flex: 1;
        align-items: flex-start;
        flex-direction: column;
    }
}